%%
% TAUGEN: to be called after mswibra to generate a linear combination of 
% the tangents corresponding to zero eigenvalues stored in p.sol.mtau. 
% The new tangent is stored in p.tau.
% default call: p=taugen(p,v), with v=coefficients of tangents stored in 
% p.sol.mtau, normalize wrt L2-norm, store in p.tau, plot in figure 6
% 
% alternatives: p=taugen(p,v,'ndir') 
% p=taugen('dir','pt',v) 
% p=taugen('dir','pt',v,'ndir') 
function p=taugen(varargin)
if isstruct(varargin{1}); p=varargin{1}; v=varargin{2}; 
 if nargin>2; p=setfn(p,varargin{3}); p.file.count=0; p.fuha.savefu(p); p.file.count=1; end; 
end
if ischar(varargin{1}); p=loadp(varargin{1},varargin{2}); v=varargin{3}; 
 if nargin>3; p=setfn(p,varargin{4}); p.file.count=0; p.fuha.savefu(p); p.file.count=1; end; 
end
t=0; mtau=p.sol.mtau; 
for i=1:size(mtau,2); t=t+mtau(:,i)*v(i); end
p.tau=t; p.tau=p.tau/mxinorm(p,p.tau); 
plotsolu(p,[p.tau; p.u(p.nu+1:end)],6,p.plot.pcmp,p.plot.pstyle); 